# Other useful endpoints

The account object returned by the SDK is an extended `starknet.js`  account object.\
It contains functions that might be useful for you.

1. Outside execution

This function accepts a list of Call objects and returns the calldata/payload required to perform an `execute_from_outside` .

```typescript
await account.getOutsideExecutionPayload({calls: [calls]})
```

2. Sign Messages from outside

Takes a `typedData` object and a list of `Call` .

Returns&#x20;

```typescript
await account.signMessageFromOutside(typedData, [calls])
```

3. Deployment of account

By default, Ready subsidises the deployment of all the accounts. If the deployment fails on our side, it is possible to deploy the account for your users. \
You can get the deployment data either from the returned object of the `connect()` function of the SDK or from this endpoint:

```typescript
await account.getDeploymentPayload()
```

This will return a `DeployAccountContractPayload` which will allow you to deploy the account as explained here: [Deploy accounts on behalf of users](/aa-use-cases/deploy-accounts-on-behalf-of-users.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ready.co/tools/invisible-sdk-deprecated/other-useful-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
